NI VeriStand

cancel
Showing results for 
Search instead for 
Did you mean: 

Version of Visual Studio compatible for NI Veristand 2020

hi all,

 

I have the below specs:

 

Veristand : 2020 R4

Visual Studio: Microsoft Visual Studio Professional 2019, Version 16.8.3

.NET :

 

ngupta4_0-1610381093991.png

 

I'm not able to run my code and I think it's because of the version mismatch. Please help me understand if these are compatible.

I'm trying to execute an already built code which ran successfully on Veristand 2018 but now when I'm trying to change it to be compatible with 2020 I'm getting error.

The code was not written by me.

 

Error:

Exception thrown: 'System.TypeInitializationException' in AutoVeristand.dll
An unhandled exception of type 'System.TypeInitializationException' occurred in AutoVeristand.dll
The type initializer for 'NationalInstruments.VeriStand.StimulusProfileDefinitionApi.StimulusProfile' threw an exception.
0 Kudos
Message 1 of 3
(174 Views)

Hello,

You should have a look in the 'InnerException' into the 'TypeInitializationException' to get the reason of it. Maybe you're not using the good .NET framework version, I think 4.6.2 is used in VeriStand 2020.

Regards

0 Kudos
Message 2 of 3
(139 Views)

Hi

 

As the picture posted i'm using .NET 4.6.2. Still getting the same error.

0 Kudos
Message 3 of 3
(129 Views)